﻿// Program 1 A
// CIS 200-01
// Fall 2019
// Due: 9/23/2019
// By:M9496
//next day derived from airpackage 

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prog0
{
    public class NextDayAirPackage : AirPackage
    {
        private readonly decimal expressFee;
        public NextDayAirPackage(Address originAddress, Address destAddress, double length,
               double width, double height, double weight, decimal ef) : base(originAddress, destAddress, length, width, height, weight)
        {
            expressFee = ef;
        }
        public  decimal ExpressFee
        {
            get { return expressFee; }
        }

        public override decimal CalcCost()
        {
            decimal basecost = Convert.ToDecimal(.30 * (Length + Width + Height) + .25 * (Weight)) +ExpressFee;
            if (IsHeavy())
            {
                basecost += Convert.ToDecimal(Weight * .20);

            }

            if (IsLarge())
            {
                basecost += Convert.ToDecimal((Length+Width+Height) * .20);

            }
            return basecost;
        }
        public override string ToString()
        {
            return base.ToString();
        }
    }
}
