﻿// Program 1 A
// CIS 200-01
// Fall 2019
// Due: 9/23/2019
// By:M9496
//derived from airpackage 
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prog0
{
    public enum Delivery { Early, Saver };
    public class TwoDayAirPackage : AirPackage
    {
        private Delivery deliveryType;
        public TwoDayAirPackage(Address originAddress, Address destAddress, double length,
               double width, double height, double weight, Delivery delivery) : base(originAddress, destAddress, length, width, height, weight)
        {
            DeliveryType = delivery;
        }

        public Delivery DeliveryType
        {
            get { return deliveryType; }
            set { deliveryType = value; }
        }

        public override decimal CalcCost()
        {
            decimal basecost = Convert.ToDecimal(.30 * (Length + Width + Height) + .25 * (Weight));
            if (DeliveryType == Delivery.Saver)
            {
                basecost = basecost * .85m;
            }

            return basecost;
        }

        public override string ToString()
        {
            return base.ToString();
        }
    }
}
