﻿//// Program 1 A
// CIS 200-01
// Fall 2019
// Due: 9/23/2019
// By:M9496
//ground package  class  is derived from package
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prog0
{
    public class GroundPackage : Package
    {
        const double SIZE_COST_FACTOR = 0.25;
        const double WEIGHT_COST_FACTOR = 0.45;

        int ZoneDistance;
        public GroundPackage(Address originAddress, Address destAddress, double length,
           double width, double height, double weight) : base(originAddress, destAddress,length,width,height,weight)
        {
       
        }
        public int ZDistance
        {
            // Precondition:  None
            // Postcondition: The address' name has been returned
            get
            {
                int o = Math.Abs(this.OriginAddress.Zip);
                while (o >= 10)
                    o /= 10;

                int d = Math.Abs(this.DestinationAddress.Zip);
                while (d >= 10)
                    d /= 10;

                ZoneDistance = Math.Abs(o-d); 
                return ZoneDistance;
            }

            // Precondition:  value must not be empty
            // Postcondition: The address' name has been set to the
            //                specified value
            
        }
        public override decimal CalcCost()
        {
           double Cost = SIZE_COST_FACTOR * (this.Length + this.Width + this.Height) + WEIGHT_COST_FACTOR * (ZoneDistance + 1) * (this.Weight);
            return Convert.ToDecimal(Cost);
        }

        public override string ToString()
        {
            string NL = Environment.NewLine; // NewLine shortcut

            return $"GroundPackage{NL}{base.ToString()} + Zone Distence : {ZDistance}";
        }
    }
}
