﻿// Program 1 A
// CIS 200-01
// Fall 2019
// Due: 9/23/2019
// By:M9496
//package class abstract -derived from parcel
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prog0
{
    public abstract class Package : Parcel
    {   // Backing fields
        //private int _originaddress; // Package's origin zip code
        //private int _destaddress;   // Package's destination zip code
        //private double _length; // Package's length
        //private double _width;  // Package's width
        //private double _height; // Package's height
        //private double _weight;//Package's weight
        public Package(Address originAddress, Address destAddress, double length,
            double width, double height, double weight) : base(originAddress, destAddress)
        {
            // Use properties to ensure validation occurs
            
            Length = length;
            Width = width;
            Height = height;
            Weight = weight;
        }
        public double Length
        {
            // Precondition:  None
            // Postcondition: The address' name has been returned
            get;

            // Precondition:  value must not be empty
            // Postcondition: The address' name has been set to the
            //                specified value
            set;
        }
        public double Width
        {
            // Precondition:  None
            // Postcondition: The address' name has been returned
            get;
            // Precondition:  value must not be empty
            // Postcondition: The address' name has been set to the
            //                specified value
            set;
        }
        public double Height
        {
            // Precondition:  None
            // Postcondition: The address' name has been returned
            get;

            // Precondition:  value must not be empty
            // Postcondition: The address' name has been set to the
            //                specified value
            set;
        }
        public double Weight
        {
            // Precondition:  None
            // Postcondition: The address' name has been returned
            get;
            // Precondition:  value must not be empty
            // Postcondition: The address' name has been set to the
            //                specified value
            set;
        }
        public override string ToString()
        {
            string NL = Environment.NewLine; // NewLine shortcut
            return $"Package{NL}{base.ToString()} Length: {Length} Width:{Width} Hight:{Height} Wieght{Weight}";

        }
    }

}
